/* File *******************************************************************
*					North Carolina State University
*					Electronics Research Laboratory
*
* FILENAME :    s2ibis2.c
*
* DESCRIPTION : This file contains the main routine for s2ibis2. 
*
*
* REVISION HISTORY :
*       Date        Programmer:         Description
*		8/24/95		Alan Glaser			Beta release to some members of the
*					Michael Steer		IBIS community
*
*
*H*/


#include <stdio.h>
#include "s2ibis.h"

int maimed;

main(int argc, char **argv)

{
char 			inputFileName[20];
ibisTOP_Pt		ibisHead_P;	/* Ptr to head of IBIS structure */
ibisGlobal_Pt	ibisGlobal_P;	/* Ptr to global vars data structure */
ibisComponent_Pt component_P;
char 			*result;

fprintf( stderr, "s2ibis2 v0.9BETA -- North Carolina State University\n" );
fprintf( stderr, "*** This is a beta release -- use with caution! ***\n\n" );

/* Get s2ibis input file */
if(argc > 1)
    strcpy(inputFileName, argv[1]);
else
    {
    fprintf( stdout, "input file: ");
    fscanf( stdin, "%s", inputFileName);
    }
s2ibisRead( inputFileName, &ibisHead_P, 
			&ibisGlobal_P, "new", &result );
completeDataStructures( ibisGlobal_P, ibisHead_P );

for ( component_P = ibisHead_P->components_P;
	  component_P != NULL;
	  component_P = component_P->nextComponent_P )
	analyzeComponent( component_P, ibisHead_P->spiceType, ibisHead_P->iterate,
					  ibisHead_P->cleanup, ibisHead_P->spiceCommand );

s2ibisPrint( ibisHead_P );		/* print results of our work */
delete_TOP( &ibisHead_P );		/* clean up after we're done */
return( 0 );
}
